### Function: HasSpell(player, spellid, tier)

**Description:**
Return's true if the player has the spellid specified of the tier.

**Parameters:**
- `player` (Spawn) - Spawn object representing `player`.
- `spellid` (uint32) - Integer value `spellid`.
- `tier` (uint16) - Integer value `tier`.

**Returns:** Return's true if the player has the spell id with the tier (or higher tier).  Otherwise false.

**Example:**

Example Required
